Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007786opensim[REGION] OpenSim Corepublic2015-12-20 19:552016-06-24 02:03
ReporterTheas 
Assigned Tonebadon 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007786: landing point set are not respecting
DescriptionOwner teleport to regions with a landing point set are not respecting a set limited landing point

When you install a new simulator + oar impossible to move the landing point

 

Savez oar with the prededent version After on the new version the loading OAR several meshes lose

--> If you use the od grid region oar No pb on Metropolis
Steps To ReproduceUse the new simulator (with island)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBasicPhysics
EnvironmentMono / Windows
Mono VersionNone
ViewerKokua
Attached Files

- Relationships
related to 0007785closednebadon Owner teleport to regions with a landing point set are not respecting a set limited landing point 
related to 0007934closednebadon Grid Gods and Regions owners always ignore Telehubs (Regresssion) 

-  Notes
(0029840)
aiaustin (developer)
2015-12-21 01:39

Noted also in issue 7785. I have suggested to Ubit there that if access is always required to any region/plot position for security, whatever has been set in a plot's landing point, that this might be restricted to the god level avatars (level 200) and where god level "admin status" has been requested in the viewer and granted.
(0029852)
UbitUmarov (administrator)
2015-12-22 05:57

Like in mantis 7785
this is not a major issue, at most a minor issue on opensim.
telehubs and landpoints where never supposed to not work on those avatars.
And there are reasons for that.
As said in 7785, request of admin status can not be used on this.
(0030702)
nebadon (administrator)
2016-06-23 12:01

[11:45] <cia-opensim> opensim: diva * rb522f0916aa9 / (3 files in 2 dirs):
[11:45] <cia-opensim> Mantis 0007934 and related: landing points and telehubs for gods. Added a new configuration variable LandingPointBehavior that can switch between what we're used to in OpenSim and the behavior in SL.

Tested and working, please test and if you find this is truly resolved please close this mantis.
(0030732)
aiaustin (developer)
2016-06-24 02:03

Confirmed that the OpenSim.ini parameters under various permutations work as advertised, and that the defaults restore previous behaviour.

- Issue History
Date Modified Username Field Change
2015-12-20 19:55 Theas New Issue
2015-12-21 00:46 aiaustin Relationship added duplicate of 0007785
2015-12-21 00:49 aiaustin Relationship deleted 0007785
2015-12-21 00:49 aiaustin Relationship added related to 0007785
2015-12-21 01:39 aiaustin Note Added: 0029840
2015-12-22 05:57 UbitUmarov Note Added: 0029852
2016-06-22 11:52 aiaustin Note Added: 0030667
2016-06-22 11:53 aiaustin Relationship added related to 0007934
2016-06-22 13:23 aiaustin Note Deleted: 0030667
2016-06-23 12:01 nebadon Note Added: 0030702
2016-06-23 12:01 nebadon Status new => resolved
2016-06-23 12:01 nebadon Resolution open => fixed
2016-06-23 12:01 nebadon Assigned To => nebadon
2016-06-24 02:03 aiaustin Note Added: 0030732
2016-06-24 02:03 aiaustin Status resolved => closed
2016-06-24 02:03 aiaustin Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker